## NAME

s.voronoi - Uses a GRASS sites list to produce a Voronoi diagram
(GRASS Sites Program)

## SYNOPSIS

s.voronoi [-aq] sites=name vect=name [catnum=no|keep|gen] [labels=no|cat|str,#|dec,#]

## DESCRIPTION

s.voronoi uses an existing sites list (sites) to create a Voronoi diagram (Thiessen polygons) in a binary vector file (vect).

## OPTIONS

### Parameters:

sites=name
  Name of existing sites file.
vect=name
  Name of the output file (binary vector file).
catnum=no|keep|gen
  What to use as category numbers for the vector output: no category numbers, keep from input file, or generate as serial number.
  options: no, keep, or gen
  default: keep
labels=no|cat|str,#|dec,#
  Site file field to use for generating the label. "#" is the n-th string or decimal field associated with the site record.
  options: no; cat; str,#; or dec,#
  default: no

### Flags:

-a
  Use all sites found in the named sites file, rather than limiting output to sites falling within the current geographic region.
-q
  Quiet. Cut out the chatter.

## NOTES

s.voronoi can be run either non-interactively or interactively. The program will be run non-interactively if the user specifies the name of an existing site list file and a name for a vect file, using the form

s.voronoi [-aq] sites=name1 vect=name2 catnum=optCatnum labels=optLabel

where name1 is the name of an existing site list file and name2 is the name of vector output file. optCatnum can be "keep" only if the site file category number is integer. optLabel can be "no", no labels; "cat", use site file category number as label; str,num, use the num string type field of the site file as label; or dec,num, use the num decimal type field of the site file as label.

Alternately, the user can simply type s.voronoi on the command line, without program arguments. In this case, the user will be prompted for parameter values using the standard GRASS parser interface described in the manual entry for parser.

## EXAMPLES

To create a Voronoi diagram keeping the original category number and using the first decimal field as the output label use:
  s.voronoi sites=inputSite vect=voro catnum=keep labels=dec,1

  ## REFERENCES

  Steve J. Fortune, (1987). A Sweepline Algorithm for Voronoi Diagrams, Algorithmica 2, 153-174.

  ## SEE ALSO

  v.autocorr, v.spag, v.support, s.delaunay, s.hull, s.sweep

  ## AUTHOR

  James Darrell McCauley, Purdue University
  GRASS 5 update, improvements: Andrea Aime, Modena, Italy

  Last changed: $Date: 2003/08/20 08:10:13 $